- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::operation::overlay::MinimalEdgeRing Class Reference

A ring of Edges with the property that no node has degree greater than 2. More...

`#include <MinimalEdgeRing.h>`

List of all members.

## Public Member Functions
| MinimalEdgeRing (geomgraph::DirectedEdge *start, const geom::GeometryFactory *geometryFactory)
geomgraph::DirectedEdge * | getNext (geomgraph::DirectedEdge *de)
void | setEdgeRing (geomgraph::DirectedEdge *de, geomgraph::EdgeRing *er)

## Detailed Description

A ring of Edges with the property that no node has degree greater than 2.

These are the form of rings required to represent polygons under the OGC SFS spatial data model.

See also:
  operation::overlay::MaximalEdgeRing

The documentation for this class was generated from the following file:

- MinimalEdgeRing.h